package cn.com.qmth.examcloud.exchange.outer.api;

import cn.com.qmth.examcloud.api.commons.EnterpriseService;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterBatchSaveStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterSaveStudentReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterUpdatePasswordReq;
import cn.com.qmth.examcloud.exchange.outer.api.request.OuterUpdateStudentStatusReq;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterBatchSaveStudentResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterSaveStudentResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterUpdatePasswordResp;
import cn.com.qmth.examcloud.exchange.outer.api.response.OuterUpdateStudentStatusResp;

/**
 * 类注释
 *
 * @author WANGWEI
 * @date 2018年6月29日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public interface StudentOuterService extends EnterpriseService {

	/**
	 * 保存学生
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	OuterSaveStudentResp saveStudent(OuterSaveStudentReq req);

	/**
	 * 批量创建学生
	 * 
	 * @param req
	 * @return
	 */
	OuterBatchSaveStudentResp batchSaveStudent(OuterBatchSaveStudentReq req);

	/**
	 * 修改密码
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	OuterUpdatePasswordResp updatePassword(OuterUpdatePasswordReq req);

	/**
	 * 更新学生状态
	 *
	 * @author WANGWEI
	 * @param req
	 * @return
	 */
	OuterUpdateStudentStatusResp updateStudentStatus(OuterUpdateStudentStatusReq req);

}
